#2889 closed defect (fixed)

RTEMS_STACK_CHECKER_EXTENSION has incomplete definition

Reported by: Stavros Passas Owned by: Stavros Passas <stavros.passas@…>
Priority: low Milestone: 5.1
Component: score Version: 5
Severity: trivial Keywords:
Cc: Blocked By:
Blocking:

Description

The extension for the stack checker defines 8 entries, while the structure for RTEMS extensions gets 9 arguments. This causes warnings to appear on applications compiled with -Werror, or similar flags.

The handler that is missing is for the terminate callback, so a 0 entry would be enough to fix this error.

Attachments (1)

2889-Complete-STACK_CHECKER_EXTENSION.patch (875 bytes) - added by Stavros Passas on Jan 30, 2017 at 10:41:26 AM.
Fix

Download all attachments as: .zip

Change History (5)

Changed on Jan 30, 2017 at 10:41:26 AM by Stavros Passas

Fix

comment:1 Changed on Jan 30, 2017 at 10:41:53 AM by Stavros Passas

Fix attached.

comment:2 Changed on Jan 30, 2017 at 10:51:12 AM by Stavros Passas <stavros.passas@…>

Owner: set to Stavros Passas <stavros.passas@…>
Resolution: fixed
Status: newclosed

In 575c2e21e25db83a5a8d83d2f4062e0f39f18c46/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.